memp_desc Struct Reference

`#include <memp_priv.h>`

## Data Fields

struct stats_mem * | stats
u16_t | size
u16_t | num
u8_t * | base
struct memp ** | tab

## Detailed Description

Memory pool descriptor

## Field Documentation

## base

u8_t* memp_desc::base

Base address

## num

u16_t memp_desc::num

Number of elements

## size

u16_t memp_desc::size

Element size

## stats

struct stats_mem* memp_desc::stats

Statistics

## tab

struct memp** memp_desc::tab

First free element of each pool. Elements form a linked list.

The documentation for this struct was generated from the following file:

- src/include/lwip/priv/memp_priv.h